org.springframework.core

## Interface ErrorCoded

All Known Implementing Classes:
  ConversionNotSupportedException, MethodInvocationException, PropertyAccessException, TypeMismatchException

    public interface ErrorCoded

Interface that can be implemented by exceptions etc that are error coded. The error code is a String, rather than a number, so it can be given user-readable values, such as "object.failureDescription".

An error code can be resolved by a MessageSource, for example.

Author:
  Rod Johnson
See Also:
  `MessageSource`

### Method Summary

Methods
`String` `getErrorCode()` Return the error code associated with this failure.

### Method Detail

#### getErrorCode

    String getErrorCode()

Return the error code associated with this failure. The GUI can render this any way it pleases, allowing for localization etc.

Returns:
  a String error code associated with this failure, or `null` if not error-coded